\version "2.24.1"

N = 007
\include "haydn.ly"

\book {
  \coverpage
  \secondpage

  \bookpart {
    \include "header.ly"
    \header { piece = "I" }
    \paper{}
    \score {
      \layout { \breaklayout I }
      \keepWithTag \Haydntags \tag #'Mvt1 <<
        \breaks I
        \I.structure
        \new StaffGroup <<
          \new OboeIandII \partCombine \I.Oboe.1 \I.Oboe.2
          \new Bassoon { \I.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=c } \partCombine #'(0 . 11) \I.Horn.1 \I.Horn.2
        \new StaffGroup <<
          \new StaffGroup \with { shortInstrumentName="VlnI" systemStartDelimiter = #'SystemStartBrace } <<
            \new ViolinISolo { \I.ViolinSolo.1 }
            \new ViolinI \with {
              instrumentName=\markup \center-column { "Violin I" "Ripieno" } shortInstrumentName="R"
            } { \I.Violin.1 }
          >>
          \new StaffGroup \with { shortInstrumentName="VlnII" systemStartDelimiter = #'SystemStartBrace } <<
            \new ViolinIISolo { \I.ViolinSolo.2 }
            \new ViolinII \with {
              instrumentName=\markup \center-column { "Violin II" "Ripieno" } shortInstrumentName="R"
            } { \I.Violin.2 }
          >>
          \new Viola { \I.Viola }
          \new StaffGroup \with { systemStartDelimiter = #'SystemStartBrace } <<
            \new CelloSolo { \I.CelloSolo }
            \new CB        { \I.Cello }
          >>
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "II" }
    \paper{ page-count = 11 }
    \score {
      \layout { \breaklayout IIa }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks IIa
        \IIa.structure
        \new StaffGroup
          \new OboeIandII \partCombine \IIa.Oboe.1 \IIa.Oboe.2
        \new StaffGroup <<
          \new StaffGroup \with { shortInstrumentName="VlnI" systemStartDelimiter = #'SystemStartBrace } <<
            \new ViolinISolo { \IIa.ViolinSolo }
            \new ViolinI \with {
              instrumentName=\markup \center-column { "Violin I" "Ripieno" } shortInstrumentName="R"
            } { \IIa.Violin.1 }
          >>
          \new ViolinII \with { instrumentName="Violin II" shortInstrumentName="VlnII" } { \IIa.Violin.2 }
          \new Viola { \IIa.Viola }
          \new CBB   { \IIa.Cello }
        >>
      >>
    }
    \score {
      \layout {
        \breaklayout IIb
        \context { \FluteIandII \RemoveEmptyStaves }
        \context { \ViolinISolo \RemoveEmptyStaves }
        \context { \ViolinI \RemoveEmptyStaves } \context { \ViolinII \RemoveEmptyStaves }
        \context { \Viola \RemoveEmptyStaves } \context { \CB \RemoveEmptyStaves }
      }
      \header { piece = ##f }
      \keepWithTag \Haydntags \tag #'Mvt2 <<
        \breaks IIb
        \IIb.structure
        \new StaffGroup
          \new FluteIandII \partCombine \IIb.Flute.1 \IIb.Flute.2
        \new StaffGroup <<
          \new StaffGroup \with {
            \consists "Keep_alive_together_engraver"
            \remove   "System_start_delimiter_engraver"
          } <<
            \new StaffGroup \with {
              shortInstrumentName="VlnI"
              systemStartDelimiter = #'SystemStartBrace
            } <<
              \new ViolinISolo \with { keepAliveInterfaces = #'() } { \IIb.ViolinSolo }
              \new ViolinI \with {
                instrumentName=\markup \center-column { "Violin I" "Ripieno" } shortInstrumentName="R"
              } { \IIb.Violin.1 }
            >>
            \new ViolinSolo \with { \override VerticalAxisGroup.remove-layer = #2 } { \IIb.ViolinSolo }
          >>
          \new ViolinII \with { instrumentName="Violin II" shortInstrumentName="VlnII" } { \IIb.Violin.2 }
          \new Viola { \IIb.Viola }
          \new StaffGroup \with { systemStartDelimiter = #'SystemStartBrace } <<
            \new CelloSolo { \IIb.CelloSolo }
            \new CB        { \IIb.Cello }
          >>
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "III" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout III }
      \keepWithTag \Haydntags \tag #'Mvt3 <<
        \breaks III
        \III.structure
        \new StaffGroup <<
          \new OboeIandII \partCombine \III.Oboe.1 \III.Oboe.2
          \new Bassoon { \III.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=c } \partCombine \III.Horn.1 \III.Horn.2
        \new StaffGroup <<
          \new Violins <<
            \new ViolinI  { \III.Violin.1 }
            \new ViolinII { \III.Violin.2 }
          >>
          \new Viola { \III.Viola }
          \new StaffGroup \with { systemStartDelimiter = #'SystemStartBrace } <<
            \new CB \with {
              soloText   = \markup \whiteout "Vlc solo"
              soloIIText = \markup \whiteout "Vne solo"
              instrumentName      = \markup \center-column { "Cello Solo" "Violone Solo" }
              shortInstrumentName = \markup \center-column { "VlcS" "VneS" }
            } \partCombine \III.CelloSolo \transpose c c' \III.BassSolo
            \new CB        { \III.Cello }
          >>
        >>
      >>
    }
  }

  \bookpart {
    \header { piece = "IV" }
    \paper{}
    \maxsystems 3
    \score {
      \layout { \breaklayout IV }
      \keepWithTag \Haydntags \tag #'Mvt4 <<
        \breaks IV
        \IV.structure
        \new StaffGroup <<
          \new Flute { \IV.Flute }
          \new OboeIandII \partCombine \IV.Oboe.1 \IV.Oboe.2
          \new Bassoon { \IV.Bassoon }
        >>
        \new StaffGroup
          \new HornIandII \with { key=c } \partCombine \IV.Horn.1 \IV.Horn.2
        \new StaffGroup <<
          \new StaffGroup \with { shortInstrumentName="VlnI" systemStartDelimiter = #'SystemStartBrace } <<
            \new ViolinISolo { \IV.ViolinSolo.1 }
            \new ViolinI \with {
              instrumentName=\markup \center-column { "Violin I" "Ripieno" } shortInstrumentName="R"
            } { \IV.Violin.1 }
          >>
          \new StaffGroup \with { shortInstrumentName="VlnII" systemStartDelimiter = #'SystemStartBrace } <<
            \new ViolinIISolo { \IV.ViolinSolo.2 }
            \new ViolinII \with {
              instrumentName=\markup \center-column { "Violin II" "Ripieno" } shortInstrumentName="R"
            } { \IV.Violin.2 }
          >>
          \new Viola { \IV.Viola }
          \new CB \with {
            instrumentName = \markup \center-column { "Cello Solo" "Cello, Bass" }
            shortInstrumentName = \markup \center-column { "VlcS" "Vlc Db" }
            soloText = \markup \whiteout "Vlc Solo"
          } \partCombine \IV.CelloSolo \IV.Cello
        >>
      >>
    }
  }
}
